SMF 2.0 Sistem Gereksinimleri ve öneriler

Başlatan tarantula901, 22 Tem 2018, 21:56

« önceki - sonraki »

0 Üye ve 2 Ziyaretçi konuyu incelemekte.

tarantula901

22 Tem 2018, 21:56 Son düzenlenme: 22 Tem 2018, 21:57 tarantula901
Bir SMF forumunu çalıştırmak için sunucu aşağıdaki gereksinimleri karşılamalı ve aşağıdaki önerileri de karşılayan sunucularda en iyi şekilde çalışacaktır. Bu yazılım, tüm internet tarayıcıları olan aşağıda listelenen istemcilerle çalışmak üzere test edilmiş ve doğrulanmıştır.

Temel Sunucu Gereksinimleri

SMF 2.0'ı çalıştırmak isteyen herhangi bir sunucuda aşağıdakiler gereklidir.

Yaklaşık 20 MB boş disk alanı olan bir web sunucusu. Diğer içeriklerin zamanla yüklenebilmesi için çok daha fazlası önerilir.
Apache veya Internet Information Server (IIS) gibi PHP'yi destekleyen bir web sunucusu.

PHP 4.1.0 veya üstü

2.0.7'nin altındaki SMF sürümleri PHP 5.5'te çalışmayacaktır. PHP 5.5 kullanıyorsanız, SMF 2.0.7 veya daha büyük bir sürümü kullanmanız gerekir.
2.0.14'ten itibaren SMF sürümleri, 5.4 ile 7.1 arasında bir PHP sürümü gerektirir. Eğer PHP 5.3 veya daha düşük kullanırsanız, SMF 2.0.13 veya daha düşük bir değer kullanmanız gerekir. PHP 7.2 şu anda SMF tarafından desteklenmiyor.

Aşağıdakiler php.ini dosyasında değiştirilmelidir:


engineYönerge Açık olarak ayarlanmalıdır.
magic_quotes_sybaseYönerge Kapalı olarak ayarlanmalıdır.
session.save_pathYönetmelik geçerli dizin veya boş olarak ayarlanması gerekir.
file_uploadsYönerge Açık olarak ayarlanmalıdır.
upload_tmp_dirYönetmelik geçerli dizin veya boş olarak ayarlanması gerekir.

Aşağıdaki veritabanlarından biri yüklü olmalıdır:

MySQL 4.0.18 veya üstü (en az 4.1.0 daha iyi olurdu) ve PHP MySQL client API 4.0.18 veya üstü.
PostgreSQL 8.0 veya üstü ( standard_conforming_stringsPostgreSQL 9.1'den başlayarak kapalı olarak ayarlanmalıdır)
SQLite SQLite 2.x (SMF, SQLite 3.x ile uyumlu değildir)

Aşağıdakiler veritabanı için gereksinimlerdir:

Temiz bir SMF kurulumu için, veritabanında en az 2 MB depolama alanı. Lütfen bunun sadece kurulum için yeterli olduğunu unutmayın.
Veritabanı kullanıcı olması gerekir , en azından aşağıdaki ayrıcalıkları: SELECT, INSERT, UPDATE, DELETE, ALTER, ve INDEX.
Veritabanı kullanıcısı, yükleme, dönüştürme ve bazı paket yüklemeleri sırasında CREATEve DROPayrıcalıklara sahip olmalıdır .

Sunucu Önerileri

Bunlar gerekli değildir, ancak SMF yüklemeniz için yararlı olabilir ve daha fazla işlev kullanmanıza olanak tanır.

Yazım denetimi işlevselliği için GNU Aspell 0.50 veya üstü (uygun sözlüklerle).
AcceptPathInfo ile Apache 2.0.x veya üzeri , URL olmayan URL desteği için Açık olarak ayarlanmıştır.

Php.ini dosyasında aşağıdaki gibi bir PHP var :
max_input_time en az 30 değerine ayarlı.
post_max_sizeve upload_max_filesizeyüklemek isteyebileceğiniz en büyük eklerin boyutuna ayarlayın.
memory_limit en az 32M'ye ayarlı.
max_execution_time en az 15 olarak ayarlayın.
register_globals Kapalı olarak ayarlanmış.
session.use_trans_sid Kapalı olarak ayarlanmış.
güvenli mod devre dışı veya PHP suExec etkin.
OpenID kayıt yöntemini kullanmak için BCMath kütüphanesi etkinleştirildi .
mod_securitydevre dışı ( daha fazla bilgi için bkz. Mod güvenliği ).

GD Grafik Kütüphanesi 2.0 veya üstü.

Temel İstemci Gereksinimleri

Microsoft Internet Explorer 6.0 veya daha yüksek (7.0 veya üstü önerilir).
Opera 7.0 veya üstü (9.5 veya üstü önerilir).
Netscape 6.0 veya daha yüksek.
Mozilla Suite 1.0.2 veya üstü.
Konqueror ya da Galeon.
Apple Safari 1.0 veya üstü (3.0 veya üstü önerilir).
Mozilla Firefox 3.0 veya üstü (3.5 veya üstü önerilir).

Translate yapılarak çevrilmiştir.